part of itwo_util;

/// network_info_plus
/// sensor_plus
/// share_plus
/// android_alarm_manager_plus
///
class DeviceUtil {
  static Future<PackageInfo> get packageInfo async => await PackageInfo.fromPlatform();

  // ios  用 appId 跳转到 appStore ,android 用包名跳转到各手机应用市场
  static Future<bool> toStore({String? appId}) async {
    if (Platform.isIOS && appId == null) {
      return false;
    }
    var target = Platform.isAndroid ? "market://details?id=${(await packageInfo).packageName}" : "itms-apps://itunes.apple.com/app/id$appId";
    try {
      return launch(target);
    } catch (e) {
      print(e);
    }
    return false;
  }
}
